Subject: American Ginseng

From: [email-masked] (RICHARD LEE)
Date: Sun, 28 Jan 96 08:39:00 -0500

Can anyone direct me to hard research showing benefits of taking American
Ginseng regularly?

------------------------------------------------------------------------
Psychotronic BBS * Durham, NC * 919-286-7738 (v.34) / 286-4542 (v.32bis)
c/o Books Do Furnish A Room, 1809 W Markham Av, Durham, NC 27705